Subject: bug#28168: rofi - Failed to set locale and relink messages

From: Fredrik Salomonsson <[email-masked]>
Date: Tue, 22 Aug 2017 22:23:11 -0700

>
> > Failed to set locale.
> >
> > then it exits.
> >
> > I've set:
> > GUIX_LOCPATH=$HOME/.guix-profile/lib/locale
> > LANG=en_US.UTF-8
> >
> > Using glibc-locales
>
> Does setting LC_ALL instead of LANG help?  The LC_* variables take
> precedence over LANG.

setting LC_ALL didn't work. Same error.

Did a strace on it just to see what's going on.
Here's the last part just before it exits

> open("/run/current-system/locale/2.25/en_US.UTF-8/LC_IDENTIFICATION",
> O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
> open("/run/current-system/locale/2.25/en_US.utf8/LC_IDENTIFICATION",
> O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
> open("/run/current-system/locale/2.25/en_US/LC_IDENTIFICATION",
> O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
> open("/run/current-system/locale/2.25/en.UTF-8/LC_IDENTIFICATION",
> O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
> open("/run/current-system/locale/2.25/en.utf8/LC_IDENTIFICATION",
> O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
> open("/run/current-system/locale/2.25/en/LC_IDENTIFICATION",
> O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
> write(2, "Failed to set locale.\n", 22) = 22
> exit_group(1)                           = ?
> +++ exited with 1 +++
>

It's looking for locale specific things in /run/current-system. Which Arch
doesn't have. Is that a GuixSD specific thing?  Don't have GuixSD installed
at the moment so cannot check myself.

I've attached the whole strace log incase there's something more.

2017-08-22 2:01 GMT-07:00 Ludovic Courtès <[email-masked]>:

> Hello,
>
> Fredrik Salomonsson <[email-masked]> skribis:
>
> > Having issues running rofi on my Guix+Arch Linux setup.
> > Getting this when running it:
> > # rofi -show run
> > rofi: Relink
> > `/gnu/store/88wvqp60hbrdvbp0xsqad5c6njjfshcw-libpng-1.6.28/lib/libpng16.
> so.16'
> > with
> > `/gnu/store/ybpgv1v7606xw7mafda66w10hiynpiw2-glibc-2.25/lib/libpthread.
> so.0'
> > for IFUNC symbol `longjmp'
> > rofi: Relink
> > `/gnu/store/2sq8w3x8glbjlfn22im6nwwycmbdlzws-freetype-2.7.1/lib/
> libfreetype.so.6'
> > with
> > `/gnu/store/ybpgv1v7606xw7mafda66w10hiynpiw2-glibc-2.25/lib/libpthread.
> so.0'
> > for IFUNC symbol `longjmp'
>
> Not sure about this one; it seems harmless though.
>
> > Failed to set locale.
> >
> > then it exits.
> >
> > I've set:
> > GUIX_LOCPATH=$HOME/.guix-profile/lib/locale
> > LANG=en_US.UTF-8
> >
> > Using glibc-locales
>
> Does setting LC_ALL instead of LANG help?  The LC_* variables take
> precedence over LANG.
>
> Ludo’.
>

-- 
s/Fred[re]+i[ck]+/Fredrik/g